Summary:	Process and resource monitor for MATE desktop
Summary(pl.UTF-8):	Monitor procesów w zasobów dla środowiska MATE
Name:		mate-system-monitor
Version:	1.18.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.18/%{name}-%{version}.tar.xz
# Source0-md5:	16cd6a8ffb4212f735ca9b229ce20324
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	glibmm-devel >= 2.26.0
BuildRequires:	gtk+3-devel >= 3.14.0
BuildRequires:	gtkmm3-devel >= 3.8.1
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libgtop-devel >= 1:2.23.1
BuildRequires:	librsvg-devel >= 2.35
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libwnck-devel >= 3.0.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mate-common
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel
BuildRequires:	systemd-devel >= 44
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	glib2 >= 1:2.36.0
Requires:	glibmm >= 2.26.0
Requires:	gtk+3 >= 3.14.0
Requires:	gtkmm3 >= 3.8.1
Requires:	libgtop >= 1:2.23.1
Requires:	librsvg >= 2.35
Requires:	libwnck >= 3.0.0
Requires:	mate-desktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mate-system-monitor allows to graphically view and manipulate the
running processes on your system. It also provides an overview of
available resources such as CPU and memory.

%description -l pl.UTF-8
mate-system-monitor pozwala na graficzny podgląd i operowanie na
procesach działających w systemie. Zapewnia także widok dostępnych
zasobów, takich jak procesor i pamięć.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-compile-warnings=minimum

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not supported by glibc (as of 2.24-1)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ku_IQ,jv,nah,pms}

desktop-file-install \
	--delete-original \
	--remove-category=MATE \
	--add-category=X-Mate \
	--dir $RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%find_lang %{name} --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/mate-system-monitor.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}
%{_datadir}/appdata/mate-system-monitor.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%{_datadir}/polkit-1/actions/org.mate.mate-system-monitor.policy
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/msm-kill
%attr(755,root,root) %{_libdir}/%{name}/msm-renice
%changelog
* Wed Oct 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-system-monitor.git;a=log;h=master

* Wed Oct 25 2017 Jan Palus <atler@pld-linux.org> dd19a67
- up to 1.18.1

* Thu Sep 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> a094580
- release 2 (by relup.sh)

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 33002d2
- up to 1.18.0

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 53e3904
- up to 1.16.0

* Sat Aug 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 3a11b11
- grouped locales cleanup

* Fri Aug 12 2016 Jan Palus <atler@pld-linux.org> 88432e0
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 3f9be6b
- up to 1.14.0

* Tue Mar 22 2016 Jan Palus <atler@pld-linux.org> d94c4a4
- up to 1.12.2

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 5e16ddf
- up to 1.12.1

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> ddd2894
- C++11 is required now

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 4643d39
- up to 1.12.0

* Wed Jul 15 2015 Jan Palus <atler@pld-linux.org> 147efeb
- up to 1.10.1

* Sat May 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 9717584
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> b71efc5
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f853f22
- updated gettext BR

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 37eea6a
- libgtop rebuild
- release 2 (by relup.sh)

* Wed Jul 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 0300861
- cmn locale is supported now
- cleaned up scrollkeeper leftovers
- added gtk3 bcond

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 2fffd0d
- mate-doc-utils replaced by yelp-tools

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 8c23930
- up to 1.8.0
- libwnck support added upstream (use-libwnck.patch removed)
- remove unsupported locales: cmn, nah

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 31a4f9c
- pl, completed dependencies

